SoShapeKit(3)

NAME
SoShapeKit - The SoShapeKit class provides templates to insert what is usually needed for shape nodes.

SYNOPSIS

#include <Inventor/nodekits/SoShapeKit.h>

Inherits SoSeparatorKit.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoNodekitCatalog * getNodekitCatalog (void) const
SoShapeKit (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static const SoNodekitCatalog * getClassNodekitCatalog (void)
static void initClass (void)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoShapeKit ()
virtual void setDefaultOnNonWritingFields (void)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoNodekitCatalog ** getClassNodekitCatalogPtr (void)

  Protected Attributes
SoSFNode coordinate3
SoSFNode coordinate4
SoSFNode localTransform
SoSFNode materialBinding
SoSFNode normal
SoSFNode normalBinding
SoSFNode profileCoordinate2
SoSFNode profileCoordinate3
SoSFNode profileList
SoSFNode shape
SoSFNode shapeHints
SoSFNode shapeSeparator
SoSFNode textureCoordinate2
SoSFNode textureCoordinateBinding
SoSFNode textureCoordinateFunction

  Additional Inherited Members

Detailed Description

The SoShapeKit class provides templates to insert what is usually needed for shape nodes. Nodekit structure (new entries versus parent class marked with arrow prefix):

CLASS SoShapeKit
-->'this'
      'callbackList'
      'topSeparator'
         'pickStyle'
         'appearance'
         'units'
         'transform'
         'texture2Transform'
-->      'materialBinding'
-->      'normalBinding'
-->      'textureCoordinateBinding'
-->      'shapeHints'
-->      'coordinate3'
-->      'coordinate4'
-->      'normal'
-->      'textureCoordinate2'
-->      'profileCoordinate2'
-->      'profileCoordinate3'
-->      'profileList'
         'childList'
-->      'textureCoordinateFunction'
-->      'localTransform'
-->      'shapeSeparator'
-->         'shape'

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

CLASS SoShapeKit
PVT   'this',  SoShapeKit  ---
      'callbackList',  SoNodeKitListPart [ SoCallback, SoEventCallback ]
PVT   'topSeparator',  SoSeparator  ---
      'pickStyle',  SoPickStyle  ---
      'appearance',  SoAppearanceKit  ---
      'units',  SoUnits  ---
      'transform',  SoTransform  ---
      'texture2Transform',  SoTexture2Transform  ---
      'materialBinding',  SoMaterialBinding  ---
      'normalBinding',  SoNormalBinding  ---
      'textureCoordinateBinding',  SoTextureCoordinateBinding  ---
      'shapeHints',  SoShapeHints  ---
      'coordinate3',  SoCoordinate3  ---
      'coordinate4',  SoCoordinate4  ---
      'normal',  SoNormal  ---
      'textureCoordinate2',  SoTextureCoordinate2  ---
      'profileCoordinate2',  SoProfileCoordinate2  ---
      'profileCoordinate3',  SoProfileCoordinate3  ---
      'profileList',  SoNodeKitListPart [ SoProfile ]
      'childList',  SoNodeKitListPart [ SoShapeKit, SoSeparatorKit ]
      'textureCoordinateFunction',  SoTextureCoordinateFunction  --- , (default type = SoTextureCoordinateDefault)
      'localTransform',  SoTransform  ---
PVT   'shapeSeparator',  SoSeparator  ---
      'shape',  SoShape  --- , (default type = SoCube)

(See SoBaseKit::printTable() for information about the output formatting.)

Constructor & Destructor Documentation

  SoShapeKit::SoShapeKit (void)
Constructor.

  SoShapeKit::~SoShapeKit () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoShapeKit::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoShapeKit::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoSeparatorKit.

  const SoFieldData ** SoShapeKit::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoShapeKit::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoSeparatorKit.

  const SoNodekitCatalog * SoShapeKit::getClassNodekitCatalog (void) [static]
Returns the nodekit catalog which defines the layout of this class' kit.

  const SoNodekitCatalog * SoShapeKit::getNodekitCatalog (void) const [virtual]
Returns the nodekit catalog which defines the layout of this class' kit.

Reimplemented from SoSeparatorKit.

  const SoNodekitCatalog ** SoShapeKit::getClassNodekitCatalogPtr (void) [static], [protected]
Returns the pointer to the pointer of the nodekit catalog for this class.

  void SoShapeKit::initClass (void) [static]

  void SoShapeKit::setDefaultOnNonWritingFields (void) [protected], [virtual]
(Be aware that this method is unlikely to be of interest to the application programmer who does not want to extend the library with new custom nodekits or draggers. If you indeed are writing extensions, see the information in the SoBaseKit class documentation.)

This is a virtual method, and the code in it should call SoField::setDefault() with argument TRUE on part fields that should not be written upon scene graph export operations.

This is typically done when:

1.  field value is NULL and part is NULL by default
2.  it is a leaf SoGroup or SoSeparator node with no children
3.  it is a leaf listpart with no children and an SoGroup or SoSeparator container
4.  it is a non-leaf part and it is of SoGroup type and all fields are at their default values
Subclasses should usually override this to do additional settings for new member fields. From the subclass, do remember to call 'upwards' to your superclass' setDefaultOnNonWritingFields() method.
Reimplemented from SoSeparatorKit.

Author
Generated automatically by Doxygen for Coin from the source code.